Package org.wso2.carbon.logging.view.ui.data

## Class LogEvent

- java.lang.Object
- - org.wso2.carbon.logging.view.ui.data.LogEvent

-     public class LogEvent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogEvent()` |
    `LogEvent​(String message, String priority)` |
    `LogEvent​(String tenantId, String serverName, String appName, String logTime, String logger, String priority, String message, String ip, String stacktrace, String instance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAppName()` |
    `String` | `getInstance()` |
    `String` | `getIp()` |
    `String` | `getKey()` |
    `String` | `getLogger()` |
    `String` | `getLogTime()` |
    `String` | `getMessage()` |
    `String` | `getPriority()` |
    `String` | `getServerName()` |
    `String` | `getStacktrace()` |
    `String` | `getTenantId()` |
    `void` | `setAppName​(String appName)` |
    `void` | `setInstance​(String instance)` |
    `void` | `setIp​(String ip)` |
    `void` | `setKey​(String key)` |
    `void` | `setLogger​(String logger)` |
    `void` | `setLogTime​(String logTime)` |
    `void` | `setMessage​(String message)` |
    `void` | `setPriority​(String priority)` |
    `void` | `setServerName​(String serverName)` |
    `void` | `setStacktrace​(String stacktrace)` |
    `void` | `setTenantId​(String tenantId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogEvent

          public LogEvent()

    - #### LogEvent

          public LogEvent​(String tenantId,
                          String serverName,
                          String appName,
                          String logTime,
                          String logger,
                          String priority,
                          String message,
                          String ip,
                          String stacktrace,
                          String instance)

    - #### LogEvent

          public LogEvent​(String message,
                          String priority)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey​(String key)

    - #### getTenantId

          public String getTenantId()

    - #### setTenantId

          public void setTenantId​(String tenantId)

    - #### getServerName

          public String getServerName()

    - #### setServerName

          public void setServerName​(String serverName)

    - #### getAppName

          public String getAppName()

    - #### setAppName

          public void setAppName​(String appName)

    - #### getLogTime

          public String getLogTime()

    - #### setLogTime

          public void setLogTime​(String logTime)

    - #### getLogger

          public String getLogger()

    - #### setLogger

          public void setLogger​(String logger)

    - #### getPriority

          public String getPriority()

    - #### setPriority

          public void setPriority​(String priority)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage​(String message)

    - #### getIp

          public String getIp()

    - #### setIp

          public void setIp​(String ip)

    - #### getStacktrace

          public String getStacktrace()

    - #### setStacktrace

          public void setStacktrace​(String stacktrace)

    - #### getInstance

          public String getInstance()

    - #### setInstance

          public void setInstance​(String instance)